Attean::IDPQueryPlanner(3pm)

NAME
Attean::IDPQueryPlanner - Iterative dynamic programming query planner

VERSION
This document describes Attean::IDPQueryPlanner version 0.012

SYNOPSIS
  use v5.14;
  use Attean;
  my $planner = Attean::IDPQueryPlanner->new();
  my $default_graphs = [ Attean::IRI->new('http://example.org/') ];
  my $plan = $planner->plan_for_algebra( $algebra, $model, $default_graphs );
  my $iter = $plan->evaluate($model);
  my $iter = $e->evaluate( $model );

DESCRIPTION
The Attean::IDPQueryPlanner class implements a query planner using the iterative dynamic programming approach.

ATTRIBUTES

METHODS

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO
<http://www.perlrdf.org/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2016 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.